textures/assault_rock/concrete_cammo_m01_rf
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/liquids/water_beach_nerve
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 512
	
	cull disable
	nofog
	deformVertexes wave 160 sin 0 10 0 .3	// the chop

	waterfogvars ( 0.1 0.1 0.1 ) 512
	{ 
		fog on
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5	
		tcmod scale .2 .1
		tcmod scroll .03 .02		
	}	
	{ 
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE // gl_zero_minus_src_alpha invalid
		alphagen const .5		
		tcmod scale .2 .2
		tcmod scroll -.03 -.02	
	}
}

textures/alpha/dish2
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	implicitMask -
}

textures/props/sign_c07
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/props/sign_c07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/props/sign_c12
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/props/sign_c12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach/trenchwood2
{
	surfaceparm woodsteps
	implicitMap -
}

textures/etl_beach/redlight
{
	qer_editorimage textures/etl_beach/redlight.tga
	q3map_lightimage textures/etl_beach/redlight.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/etl_beach/redlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/etl_beach/redlight.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_beach/ceilinglight
{
	qer_editorimage textures/etl_beach/ceilinglight.tga
	q3map_lightimage textures/etl_beach/ceilinglight.tga
	q3map_surfacelight 20000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/etl_beach/ceilinglight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/etl_beach/ceilinglight.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_beach/floorlight
{
	qer_editorimage textures/etl_beach/floorlight.tga
	q3map_lightimage textures/etl_beach/floorlight_blend.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/etl_beach/floorlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/etl_beach/floorlight_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_beach/sky
{
	qer_editorimage textures/etl_beach/nightsky.tga
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 2048
	q3map_sun	0.24 0.28 0.36 60 120 45
	q3map_skylight 25 3
	skyparms textures/etl_beach/nightsky 200 -
	sunshader textures/etl_beach/halfmoon
 
	{
		map textures/etl_beach/nightsky.tga
	//	tcMod scroll 0.005 0.0005
		tcMod scale 16.0 16.0
		depthWrite
	}	

}

textures/etl_beach/halfmoon
{
	cull none
	nofog
	{
		map textures/etl_beach/halfmoon.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

models/mapobjects/bodyparts/i_body1
{
	cull twosided

	{
		map models/mapobjects/bodyparts/i_body1.tga
		rgbGen vertex
	}
}

models/etl_beach/flakgun_beach
{	qer_editorimage models/etl_beach/flakgun_beach.tga
  	implicitMap models/etl_beach/flakgun_beach.tga
}

// DOA custom models - FireFly

models/etl_beach/s_light_main_night
{ 	qer_editorimage models/etl_beach/s_light_main_night.tga
  	implicitMap models/etl_beach/s_light_main_night.tga
}

models/etl_beach/s_light_lamp_night
{ 	qer_editorimage models/etl_beach/s_light_lamp_night.tga
  	implicitMap models/etl_beach/s_light_lamp_night.tga
}

levelshots/etl_beach_cc_automap
{ 
	nopicmip
	nocompress
	nomipmaps
	{ 
		clampmap levelshots/etl_beach_cc.tga
		depthFunc equal
		rgbGen identity 
	} 
}

levelshots/etl_beach_cc_trans
{ 
	nopicmip
	nocompress
	nomipmaps
	{ 
		clampmap levelshots/etl_beach_cc.tga
		blendFunc blend
		rgbGen identity
		alphaGen vertex 
	} 
} 

gfx/limbo/beach_obj1
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/beach_obj1.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

gfx/limbo/cm_radioroom
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/cm_radioroom.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

gfx/limbo/cm_secretdocs
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/cm_secretdocs.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

gfx/limbo/cm_sidedoor
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/cm_sidedoor.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

gfx/limbo/cm_ammo
{
	nopicmip
	nocompress
	nomipmaps
    {
		map gfx/limbo/cm_ammo.tga
		depthfunc equal
		blendfunc blend
		rgbGen vertex
		alphaGen vertex
    }
}

models/mapobjects/rocks_t/rock_t
{
	q3map_clipModel
	qer_editorimage models/mapobjects/rocks_t/rock_t.tga
	implicitMap models/mapobjects/rocks_t/rock_t.tga
}