textures/etl_beach_terrain/sanddark
{
	qer_editorimage textures/etl_beach_terrain/ivec_sanddark.tga
	surfaceparm gravelsteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
//	q3map_globalTexture
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/etl_beach_terrain/ter_sand1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/etl_beach_terrain/ter_sand0.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach_terrain/sand
{
	qer_editorimage textures/etl_beach_terrain/ivec_sand.tga
	surfaceparm gravelsteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
//	q3map_globalTexture
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/etl_beach_terrain/ter_sand0.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/etl_beach_terrain/ter_sand0.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach_terrain/grass
{
	qer_editorimage textures/etl_beach_terrain/ivec_grass.tga
	surfaceparm grasssteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
//	q3map_globalTexture
	q3map_foliage models/foliage/grassfoliage1.md3 0.5 48 0.1 2
	q3map_foliage models/foliage/grassfoliage2.md3 0.5 48 0.1 2
	q3map_foliage models/foliage/grassfoliage3.md3 0.5 48 0.1 2
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/etl_beach_terrain/ter_grass0.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/etl_beach_terrain/ter_grass0.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach_terrain/grassrock
{
	qer_editorimage textures/etl_beach_terrain/ivec_grassrock.tga
	surfaceparm grasssteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
//	q3map_globalTexture
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/etl_beach_terrain/ter_grass0.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/etl_beach_terrain/ter_rock0.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach_terrain/rock
{
	qer_editorimage textures/etl_beach_terrain/ivec_rock.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
//	q3map_globalTexture
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/etl_beach_terrain/ter_rock0.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/etl_beach_terrain/ter_rock0.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach_terrain/rocksand
{
	qer_editorimage textures/etl_beach_terrain/ivec_rocksand.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
//	q3map_globalTexture
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/etl_beach_terrain/ter_rock0.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/etl_beach_terrain/ter_sand0.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach_terrain/rockgrass
{
	qer_editorimage textures/etl_beach_terrain/ivec_rockgrass.tga
	surfaceparm grasssteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
//	q3map_globalTexture
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/etl_beach_terrain/ter_rock0.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/etl_beach_terrain/ter_grass0.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach_terrain/grasssand
{
	qer_editorimage textures/etl_beach_terrain/ivec_grasssand.tga
	surfaceparm grasssteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	q3map_lightmapMergable
//	q3map_globalTexture
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/etl_beach_terrain/ter_grass0.tga	
		rgbGen identity
	}
	{
		// Secondary
		map textures/etl_beach_terrain/ter_sand0.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		alphaFunc GE128
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_beach_terrain/alpha_000
{
   qer_editorimage textures/etl_beach_terrain/alpha_000.tga
   q3map_alphaMod volume
   q3map_alphaMod set 0.0
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm trans
   qer_trans 0.7
}

textures/etl_beach_terrain/alpha_100
{
   qer_editorimage textures/etl_beach_terrain/alpha_100.tga
   q3map_alphaMod volume
   q3map_alphaMod set 1.0
   surfaceparm nodraw
   surfaceparm nonsolid
   surfaceparm trans
   qer_trans 0.7
}